%define major 0
%define libname %mklibname %{name}_ %{major}
%define girname %mklibname udisks-gir 2.0
%define develname %mklibname %name -d

Summary: Disk Manager
Name: udisks2
Version: 2.6.4
Release: %mkrel 0.0.1
License: GPLv2+
Group: System/Libraries
URL: http://www.freedesktop.org/wiki/Software/udisks
Source0: https://github.com/storaged-project/udisks/releases/download/udisks-%{version}/udisks-%{version}.tar.bz2
# From Debian:
# https://anonscm.debian.org/cgit/pkg-utopia/udisks2.git/tree/debian/local/udisks2-inhibit
Source1: udisks2-inhibit
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.31.13
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.31.13
BuildRequires: pkgconfig(gudev-1.0) >= 165
BuildRequires: pkgconfig(libatasmart) >= 0.17
BuildRequires: pkgconfig(systemd)
BuildRequires: pkgconfig(polkit-gobject-1) >= 0.92
BuildRequires: pkgconfig(polkit-agent-1) >= 0.92
BuildRequires: intltool
BuildRequires: gobject-introspection-devel
BuildRequires: gtk-doc >= 1.3
# needed to pull in the system bus daemon
Requires: dbus >= 1.4.0
# needed to pull in the udev daemon
Requires: udev >= 173
# for mount, umount, mkswap
Requires: util-linux
# for mkfs.ext3, mkfs.ext3, e2label
Requires: e2fsprogs
# for mkfs.xfs, xfs_admin
Requires: xfsprogs
# for mkfs.vfat
Requires: dosfstools
Requires: ntfsprogs
# for partitioning
Requires: parted
Requires: gdisk
# for LUKS devices
Requires: cryptsetup-luks
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

# for /proc/self/mountinfo, only available in 2.6.26 or higher
Conflicts: kernel < 2.6.26

%description
udisks provides a daemon, D-Bus API and command line tools for
managing disks and storage devices. This package is for the udisks 2.x
series.

%package -n %{libname}
Summary: Dynamic library to access the udisks daemon
Group: System/Libraries
Obsoletes: %{_lib}udisks20 < 1.90.0-2
License: LGPLv2+

%description -n %{libname}
This package contains the dynamic library libudisks2, which provides
access to the udisks daemon. This package is for the udisks 2.x
series.

%package -n %{girname}
Summary: GObject Introspection interface description for %name
Group: System/Libraries
License: LGPLv2+
Requires: %{libname} = %{version}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary: Development files for libudev
Group: System/Libraries
License: LGPLv2+
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files for the library
libudisks2, a dynamic library, which provides access to the udisks
daemon. This package is for the udisks 2.x series.

%prep
%setup -q -n udisks-%{version}
%autopatch -p1

%build
%configure2_5x \
        --enable-gtk-doc \
        --disable-static \
        --with-systemdsystemunitdir=%{_unitdir}
%make_build

%install
mkdir -p %buildroot%{_localstatedir}/lib/%{name}
%make_install

#install udisks2-inhibit
install -Dpm755 %{_sourcedir}/udisks2-inhibit \
	%{buildroot}%{_prefix}/lib/udisks2/udisks2-inhibit

#we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %name

%files -f %name.lang
%doc README.md AUTHORS NEWS HACKING
%license COPYING

%dir %{_sysconfdir}/udisks2
%config(noreplace) %{_sysconfdir}/udisks2/udisks2.conf

%{_sysconfdir}/dbus-1/system.d/org.freedesktop.UDisks2.conf
%{_datadir}/bash-completion/completions/udisksctl
%{_prefix}/lib/udev/rules.d/80-udisks2.rules
%dir %{_prefix}/lib/udisks2/
%{_prefix}/lib/udisks2/udisks2-inhibit
%{_sbindir}/umount.udisks2

%dir %{_libexecdir}/udisks2
%{_libexecdir}/udisks2/udisksd

%{_bindir}/udisksctl

%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%{_datadir}/polkit-1/actions/org.freedesktop.UDisks2.policy
%{_datadir}/dbus-1/system-services/org.freedesktop.UDisks2.service
%{_unitdir}/udisks2.service

# Permissions for local state data are 0700 to avoid leaking information
# about e.g. mounts to unprivileged users
%attr(0700,root,root) %dir %{_localstatedir}/lib/udisks2

%files -n %libname
%{_libdir}/libudisks2.so.%{major}*

%files -n %girname
%{_libdir}/girepository-1.0/UDisks-2.0.typelib

%files -n %develname
%{_libdir}/libudisks2.so
%dir %{_includedir}/udisks2
%dir %{_includedir}/udisks2/udisks
%{_includedir}/udisks2/udisks/*.h
%{_datadir}/gir-1.0/UDisks-2.0.gir
%dir %{_datadir}/gtk-doc/html/udisks2
%{_datadir}/gtk-doc/html/udisks2/*
%{_libdir}/pkgconfig/udisks2.pc

%changelog
* Tue Mar 14 2017 Neal Gompa <ngompa@mageia.org> 2.6.4-0.0.1
- 2.6.4

* Mon Feb 06 2017 Jani Välimaa <wally@mageia.org> 2.1.8-2.mga6
+ Revision: 1085032
- add udisks2-inhibit script from Debian (mga#20247)

* Sun Jan 01 2017 David Walser <luigiwalser@mageia.org> 2.1.8-1.mga6
+ Revision: 1078995
- 2.1.8

* Tue Jun 07 2016 Thierry Vignaud <tv@mageia.org> 2.1.7-2.mga6
+ Revision: 1020637
- adjust BRs for latest systemd

* Mon May 09 2016 David Walser <luigiwalser@mageia.org> 2.1.7-1.mga6
+ Revision: 1011596
- 2.1.7

* Fri Feb 12 2016 Sysadmin Bot <umeabot@mageia.org> 2.1.6-2.mga6
+ Revision: 959087
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 Funda Wang <fwang@mageia.org> 2.1.6-1.mga6
+ Revision: 873370
- drop unused patch
- fix correct dir
- 2.1.6

* Mon Jun 29 2015 Jani Välimaa <wally@mageia.org> 2.1.5-2.mga6
+ Revision: 847865
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 Olav Vitters <ovitters@mageia.org> 2.1.5-1.mga6
+ Revision: 837816
- new version 2.1.5
- dropped merged patch 2

* Tue Jan 27 2015 David Walser <luigiwalser@mageia.org> 2.1.4-2.mga5
+ Revision: 812475
- add upstream patch to fix fdo#77134

* Fri Dec 19 2014 David Walser <luigiwalser@mageia.org> 2.1.4-1.mga5
+ Revision: 804313
- 2.1.4
- rediff linking patch

* Wed Oct 15 2014 Sysadmin Bot <umeabot@mageia.org> 2.1.3-5.mga5
+ Revision: 746829
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 Jani Välimaa <wally@mageia.org> 2.1.3-4.mga5
+ Revision: 724968
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 Sysadmin Bot <umeabot@mageia.org> 2.1.3-3.mga5
+ Revision: 690017
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 Colin Guthrie <colin@mageia.org> 2.1.3-2.mga5
+ Revision: 671855
- Rebuild for new systemd

* Mon Mar 10 2014 David Walser <luigiwalser@mageia.org> 2.1.3-1.mga5
+ Revision: 601767
- 2.1.3 (fixes CVE-2014-0004)

* Fri Jan 17 2014 David Walser <luigiwalser@mageia.org> 2.1.2-1.mga5
+ Revision: 566767
- 2.1.2

* Sat Oct 19 2013 Sysadmin Bot <umeabot@mageia.org> 2.1.1-2.mga4
+ Revision: 532575
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 Funda Wang <fwang@mageia.org> 2.1.1-1.mga4
+ Revision: 468701
- new version 2.1.1

* Sat May 25 2013 Olav Vitters <ovitters@mageia.org> 2.1.0-1.mga4
+ Revision: 427397
- new version 2.1.0

* Mon Jan 14 2013 Sysadmin Bot <umeabot@mageia.org> 2.0.1-2.mga3
+ Revision: 384964
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 David Walser <luigiwalser@mageia.org> 2.0.1-1.mga3
+ Revision: 338315
- 2.0.1

* Sun Oct 14 2012 Thierry Vignaud <tv@mageia.org> 2.0.0-1.mga3
+ Revision: 305288
- further adjust file list
- adjus file list
- new release

* Sat Jul 28 2012 Funda Wang <fwang@mageia.org> 1.99.0-1.mga3
+ Revision: 275127
- update file list
- update file list
- new version 1.99.0

* Mon Jun 11 2012 Funda Wang <fwang@mageia.org> 1.98.0-2.mga3
+ Revision: 259712
- use systemd login

* Mon Jun 11 2012 Funda Wang <fwang@mageia.org> 1.98.0-1.mga3
+ Revision: 259707
- use correct dirname
- fix install
- new verison 1.98.0

* Tue May 29 2012 Funda Wang <fwang@mageia.org> 1.97.0-1.mga3
+ Revision: 248924
- new version 1.97.0

* Sat Apr 28 2012 Thomas Backlund <tmb@mageia.org> 1.93.0-2.mga2
+ Revision: 233889
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Mar 19 2012 Colin Guthrie <colin@mageia.org> 1.93.0-1.mga2
+ Revision: 224510
- New version: 1.93.0 (SSD + misc small fixes)

* Sun Feb 26 2012 Colin Guthrie <colin@mageia.org> 1.92.0-2.mga2
+ Revision: 215403
- Include systemd unit (mga#4704)

* Sat Feb 25 2012 Funda Wang <fwang@mageia.org> 1.92.0-1.mga2
+ Revision: 214313
- update file list
- update file list
- br gettext
- use gnome-autogen
- br gnoem-common
- fix linkage
- add upstream  patch to fix program calling path, hope it could fix bug#4382

* Sun Jan 22 2012 Funda Wang <fwang@mageia.org> 1.90.0-2.mga2
+ Revision: 199518
- fix typo
- correct libname

* Sun Jan 22 2012 Funda Wang <fwang@mageia.org> 1.90.0-1.mga2
+ Revision: 199506
- fix typo
- imported package udisks2
